#section-ourlocation {
    background-image: 
        url('images/background-location-2.png'),
        url('images/background-location.png'); 
    background-size: contain, cover; 
    background-repeat: no-repeat, no-repeat; 
    background-position: center center, center center; 
    padding: 50px 20px; 
    display: flex; 
    justify-content: flex-start;
    flex-direction: column;
    align-items: center;
    min-height: 800px;
    position: relative;
}

.location-box {
    position: relative; 
    background-color: #6e5095; 
    padding: 30px 4%; 
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2); 
    text-align: center; 
    justify-items: center;
    margin-top: 50px;
    width: 100%;
    max-width: 650px;
    transition: height 0.3s ease;
}

.location-title {
    color: #ffffff; 
    font-size: 38px; 
    font-family: var(--poppins);
    font-weight: 300; 
    margin-bottom: 20px; 
}

.info-box {
    background-color: #ffffff; 
    padding: 15px 7%; 
    display: flex; 
    justify-content: space-between; 
    align-items: center; 
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1); 
    margin-top: 20px;
    margin-bottom: 20px;
    width: 85%;
    position: relative; 
    cursor: pointer; 
    text-transform: uppercase;
    letter-spacing: 1px;
    line-height: 1.4em;
}
.info-text {
    pointer-events: none;
    color: #6e5095; 
    font-size: 25px; 
    font-family: var(--poppins);
    font-weight: 400;
}

.info-dropdown {
    width: 25px;
    height: 25px;
    background-image: url('images/icon-dropdown-location.png');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

.dropdown-container {
    display: none;
    position: absolute;
    text-align: left;
    padding: 20px 7%;
    font-family: var(--nunitosans);
    font-size: 21px;
    text-transform: uppercase;
    top: 100%; 
    left: 0; 
    width: 100%; 
    background-color: #c2bcdd;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    z-index: 1000;
    max-height: 200px; 
    overflow-y: auto;
    margin-top: 0;
    box-sizing: border-box;

    scrollbar-width: thin;
    scrollbar-color: #6e5095 transparent;
}

.dropdown-container::-webkit-scrollbar {
    width: 8px; 
    background: transparent;
}

.dropdown-container::-webkit-scrollbar-track {
    background: transparent;
}

.dropdown-container::-webkit-scrollbar-thumb {
    background-color: #6e5095; 
    border-radius: 10px; 
}

.dropdown-container::-webkit-scrollbar-thumb:hover {
    background-color: #5b3e82;
}

.dropdown-container::-webkit-scrollbar-button {
    display: none;
}


.dropdown-list {
    list-style: none;
    margin: 0;
    padding: 0;
}

.dropdown-list li {
    padding: 10px 3%;
    cursor: pointer;
    font-family: var(--poppins);
    font-size: 16px;
    color: #6e5095;
    border-bottom: 1px solid #ffffff;
}

.dropdown-list li:last-child {
    border-bottom: none;
}

.dropdown-list li:hover {
    background-color: #f5f5f5;
}

#city-container {
    display: none;
    margin-top: 20px;
    width: 100%;
    max-width: 650px;
}

.city-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    row-gap: 25px;
    column-gap: 4%;
    margin-top: 10px;
}

.city-item {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 5%;
    background-color: #ffffff;
    color: #6e5095;
    border: 2px solid #8e76b5;
    cursor: pointer;
    font-family: var(--nunitosans);
    font-size: 19px;
    letter-spacing: 1px;
    transition: background-color 0.3s ease, color 0.3s ease;
    text-transform: uppercase;
}

.city-item:hover {
    background-color: #6e5095;
    color: #ffffff;
}

.city-text {
    flex-grow: 1; 
    text-align: left;
}

.city-icon {
    background-image: url('images/icon-dropdown-location-2.png');
    width: 40px; 
    height: 40px;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    margin-left: 10px;
    flex-shrink: 0;
}

.modal-location {
    display: none;
    position: fixed;
    z-index: 1050;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    background: rgba(150, 130, 181, 0.7); 
    justify-content: center;
    align-items: center;
}

.modal-location.show {
    display: flex;
}

.modal-dialog {
    background: white;
    border-radius: 8px;
    max-width: 900px;
    max-height: 95%;
    width: 95%;
    overflow-y: auto;
}

.modal-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px;
}

.store-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}

.store-box {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #eeecf6;
    padding: 30px 5%;
    margin-bottom: 10px;
}

.store-box:nth-child(odd) {
    margin-right: 1%;
}

.store-box:nth-child(even) {
    margin-left: 1%;
}

.modal-title {
    font-family: var(--poppins);
    font-size: 42px;
    color: #6e5095;
    margin: 0;
}


.custom-close {
    width: 24px;
    height: 24px;
    background: url('images/clear-search-icon.png') no-repeat center center;
    background-size: contain;
    border: none;
    cursor: pointer;
    outline: none;
}

.modal-body {
    padding: 15px 2%;
}

.store-info {
    flex: 1;
    text-align: left;
    flex-direction: column; 
}

.store-info strong {
    font-family: var(--poppins); 
    font-size: 18px;
    font-weight: 500;
    letter-spacing: 1px;
    color: #6e5095;
    margin-bottom: 5px; 
    display: block;
    text-transform: uppercase;
}

.store-info .store-location-modal {
    font-family: var(--nunitosans); 
    font-size: 14px;
    font-weight: 100;
    color: #58595b;
    display: flex; 
    align-items: center;
    gap: 8px; 
    margin-top: 5px; 
    letter-spacing: 1px;
}

.store-action {
    margin-left: 10px;
}

.store-action .btn {
    display: inline-block;
    background-color: #6e5095; 
    font-family: var(--nunitosans);
    font-size: 12px;
    text-transform: uppercase;
    font-weight: 100;
    color: white;
    padding: 10px 15px;
    text-decoration: none;
    text-align: center;
    border: none;
    cursor: pointer;
    transition: background-color 0.3s;
    min-width: 120px;
    width: auto;
    letter-spacing: 1px;
}

.store-action .btn:hover {
    background-color: #553b81; /* Warna saat hover */
}


@media screen and (max-width: 1024px) {
	
}

@media screen and (max-width: 900px) {
	
}

@media screen and (max-width: 800px) {
	.store-box {flex-direction: column;}
    .store-info {margin-bottom: 10px;}
    .store-info .store-location-modal {justify-content: center;}
}

@media screen and (max-width: 700px) {
	
}

@media screen and (max-width: 600px) {
	.city-item {font-size: 18px;}
    .location-title {font-size: 36px;}
    .info-text {font-size: 24px;}
    .city-grid {grid-template-columns: repeat(1, 1fr);}
    .store-container {grid-template-columns: repeat(1, 1fr);}
    .store-box:nth-child(odd) {margin-right: 0;}
    .store-box:nth-child(even) {margin-left: 0;}
    .store-box {flex-direction: row;}
    .store-info .store-location-modal {justify-content: flex-start;}
    .store-info {margin-bottom: 0;}
}

@media screen and (max-width: 550px) {
	.city-item {font-size: 17px;}
    .location-title {font-size: 34px;}
    .info-text {font-size: 23px;}
}

@media screen and (max-width: 500px) {
	.city-item {font-size: 16px;}
    .location-title {font-size: 32px;}
    .info-text {font-size: 22px;}
}

@media screen and (max-width: 450px) {
	.city-item {font-size: 15px;}
    .location-title {font-size: 30px;}
    .info-text {font-size: 21px;}
    .store-box {flex-direction: column;}
    .store-info .store-location-modal {justify-content: center;}
    .store-info {margin-bottom: 10px;}
}

@media screen and (max-width: 400px) {
	.city-item {font-size: 14px;}
    .location-title {font-size: 28px;}
    .info-text {font-size: 20px;}
}

@media screen and (max-width: 350px) {
	.info-text {font-size: 19px;}
    .location-title {font-size: 26px;}
}